"use strict";
/* eslint-disable import/prefer-default-export */
Object.defineProperty(exports, "__esModule", { value: true });
const sequelize_1 = require("sequelize");
class SlackAppInstallation extends sequelize_1.Model {
    static buildNewModelAttributes() {
        return {
            id: {
                type: sequelize_1.DataTypes.INTEGER,
                allowNull: false,
                primaryKey: true,
                autoIncrement: true,
            },
            clientId: { type: sequelize_1.DataTypes.STRING, allowNull: true },
            appId: { type: sequelize_1.DataTypes.STRING, allowNull: false },
            enterpriseId: { type: sequelize_1.DataTypes.STRING, allowNull: true },
            enterpriseName: { type: sequelize_1.DataTypes.STRING, allowNull: true },
            enterpriseUrl: { type: sequelize_1.DataTypes.STRING, allowNull: true },
            teamId: { type: sequelize_1.DataTypes.STRING, allowNull: true },
            teamName: { type: sequelize_1.DataTypes.STRING, allowNull: true },
            botToken: { type: sequelize_1.DataTypes.STRING, allowNull: true },
            botId: { type: sequelize_1.DataTypes.STRING, allowNull: true },
            botUserId: { type: sequelize_1.DataTypes.STRING, allowNull: true },
            botScopes: { type: sequelize_1.DataTypes.STRING, allowNull: true },
            botRefreshToken: { type: sequelize_1.DataTypes.STRING, allowNull: true },
            botTokenExpiresAt: { type: sequelize_1.DataTypes.DATE, allowNull: true },
            userId: { type: sequelize_1.DataTypes.STRING, allowNull: false },
            userToken: { type: sequelize_1.DataTypes.STRING, allowNull: true },
            userScopes: { type: sequelize_1.DataTypes.STRING, allowNull: true },
            userRefreshToken: { type: sequelize_1.DataTypes.STRING, allowNull: true },
            userTokenExpiresAt: { type: sequelize_1.DataTypes.DATE, allowNull: true },
            incomingWebhookUrl: { type: sequelize_1.DataTypes.STRING, allowNull: true },
            incomingWebhookChannel: { type: sequelize_1.DataTypes.STRING, allowNull: true },
            incomingWebhookChannelId: { type: sequelize_1.DataTypes.STRING, allowNull: true },
            incomingWebhookConfigurationUrl: {
                type: sequelize_1.DataTypes.STRING,
                allowNull: true,
            },
            isEnterpriseInstall: { type: sequelize_1.DataTypes.BOOLEAN, allowNull: false },
            tokenType: { type: sequelize_1.DataTypes.STRING, allowNull: true },
            installedAt: { type: sequelize_1.DataTypes.DATE, allowNull: false },
        };
    }
}
exports.default = SlackAppInstallation;
//# sourceMappingURL=SlackAppInstallation.js.map